name: internal_memory
description: Generates Secure Storage logic with JSON serialization and AppDataManager sync.
version: 0.1.0+1

vars:
  function_name:
    type: string
    prompt: "🖋️ What is the function name? (e.g., myDescription)"
  request_object:
    type: string
    prompt: "📦 What is the Object type to store? (e.g., MeDescription)"